OpenVDB 12.1.0

Loading...
Searching...
No Matches
InterruptableTransfer Struct Reference

InterruptableTransfer module, when derived from allows for schemes to callback into a interrupter, derived from util::NullInterrupter. More...

`#include <openvdb/points/PointTransfer.h>`

Inheritance diagram for InterruptableTransfer:

## Public Member Functions
| InterruptableTransfer (util::NullInterrupter *const interrupt)
bool | interrupted () const

## Detailed Description

InterruptableTransfer module, when derived from allows for schemes to callback into a interrupter, derived from util::NullInterrupter.

## Constructor & Destructor Documentation

## ◆ InterruptableTransfer()

InterruptableTransfer | ( | util::NullInterrupter *const | interrupt | ) |
| inline

## Member Function Documentation

## ◆ interrupted()

bool interrupted | ( |  | ) | const
| inline